Subject: [Spridgets] Broken axle

From: Brad Fornal <[email-masked]>
Date: Sun, 29 Jun 2014 21:02:35 -0500

After all these years of reading about broken axles, I always thought it
was something that happened to "other guys".
Well, today was my turn. For those that have had it happen, is there a
specific side that it happens on? I know I will need to knock out the
broken bit, but I assume I will need to remove the differential, to remove
the stub. The rear axle uses motor oil, or gear lube?

thanks

Brad

-- 
DON JULIO 1942

http://tequilabrad.com/
------------------------

[email-masked]

Archive: http://www.team.net/archive